/***************************************************************************************************
 *
 *  Ownage Mutator. Converted from UT2004 to UT99 by Zeropoint.
 *
 *  $CLASS        OwnageServerActor
 *  $VERSION      1.00 (11-8-2008 22:24)
 *  $AUTHOR       Daan 'Defrost' Scheerens  initial version
 *  $CONTACT      d.scheerens@gmail.com
 *  $DESCRIPTION  The server actor. All it does is simply spawn the mutator.
 *
 **************************************************************************************************/
class OwnageServerActor extends Info;



/***************************************************************************************************
 *
 *  $DESCRIPTION  Initializes the server actor.
 *
 **************************************************************************************************/
function preBeginPlay() {
	local OwnageMutator m;
	
	// Check if the mutator is already loaded.
	foreach AllActors(Class'OwnageMutator', m) {
		// Yeah it is, so we're done here.
		return;
	}
	
	// Spawn the mutator.
	m = spawn(class'OwnageMutator');
	
	// Register the mutator.
	m.nextMutator = level.game.baseMutator;
	level.game.baseMutator = m;
}
